curl --request GET \
--url https://api.x.com/2/users/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.x.com/2/users/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.x.com/2/users/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"created_at": "2013-12-14T04:35:55Z",
"id": "2244994945",
"name": "X Dev",
"protected": false,
"username": "TwitterDev"
}
],
"errors": [
{
"title": "<string>",
"type": "<string>",
"detail": "<string>",
"status": 123
}
],
"includes": {
"media": [
{
"type": "<string>",
"preview_image_url": "<string>",
"variants": [
{
"bit_rate": 123,
"content_type": "<string>",
"url": "<string>"
}
],
"height": 1,
"media_key": "<string>",
"width": 1
}
],
"places": [
{
"full_name": "Lakewood, CO",
"id": "f7eb2fa2fea288b1",
"contained_within": [
"f7eb2fa2fea288b1"
],
"country": "United States",
"country_code": "US",
"geo": {
"bbox": [
-105.193475,
39.60973,
-105.053164,
39.761974
],
"properties": {},
"type": "Feature",
"geometry": {
"coordinates": [
-105.18816086351444,
40.247749999999996
],
"type": "Point"
}
},
"name": "Lakewood",
"place_type": "city"
}
],
"polls": [
{
"id": "1365059861688410112",
"options": [
{
"label": "<string>",
"position": 123,
"votes": 123
}
],
"duration_minutes": 5042,
"end_datetime": "2023-11-07T05:31:56Z",
"voting_status": "open"
}
],
"topics": [
{
"id": "<string>",
"name": "Technology",
"description": "All about technology"
}
],
"tweets": [
{
"author_id": "2244994945",
"created_at": "Wed Jan 06 18:40:40 +0000 2021",
"id": "1346889436626259968",
"text": "Learn how to use the user Tweet timeline and user mention timeline endpoints in the X API v2 to explore Tweet\\u2026 https:\\/\\/t.co\\/56a0vZUx7i",
"username": "XDevelopers"
}
],
"users": [
{
"created_at": "2013-12-14T04:35:55Z",
"id": "2244994945",
"name": "X Dev",
"protected": false,
"username": "TwitterDev"
}
]
},
"meta": {
"next_token": "<string>",
"previous_token": "<string>"
}
}{
"code": 123,
"message": "<string>"
}Buscar usuarios
Obtiene una lista de usuarios que coinciden con una consulta de búsqueda.
Autorizaciones
The access token received from the authorization server in the OAuth 2.0 flow.
Parámetros de consulta
La cadena de consulta con la que se buscarán usuarios. Cadena de búsqueda que se utilizará para buscar usuarios.
^[A-Za-z0-9_' ]{1,50}$El número máximo de resultados.
1 <= x <= 1000Este parámetro se utiliza para obtener la siguiente «página» de resultados. El valor que se use con este parámetro se extrae directamente de la respuesta proporcionada por la API y no debe modificarse. Un token de paginación en base36.
1Una lista separada por comas de campos de User que se deben devolver. Los campos disponibles para un objeto User.
1affiliation, confirmed_email, connection_status, created_at, description, entities, id, is_identity_verified, location, most_recent_tweet_id, name, parody, pinned_tweet_id, profile_banner_url, profile_image_url, protected, public_metrics, receives_your_dm, subscription, subscription_type, url, username, verified, verified_followers_count, verified_type, withheld [
"affiliation",
"confirmed_email",
"connection_status",
"created_at",
"description",
"entities",
"id",
"is_identity_verified",
"location",
"most_recent_tweet_id",
"name",
"parody",
"pinned_tweet_id",
"profile_banner_url",
"profile_image_url",
"protected",
"public_metrics",
"receives_your_dm",
"subscription",
"subscription_type",
"url",
"username",
"verified",
"verified_followers_count",
"verified_type",
"withheld"
]
Una lista separada por comas de campos que se van a expandir. La lista de campos que puedes expandir para un objeto User. Si un campo es un id, se puede expandir en un objeto completo.
1affiliation.user_id, most_recent_tweet_id, pinned_tweet_id [
"affiliation.user_id",
"most_recent_tweet_id",
"pinned_tweet_id"
]
Una lista separada por comas de campos de Tweet que se deben incluir en la respuesta. Los campos disponibles para un objeto de tipo Tweet.
1article, attachments, author_id, card_uri, community_id, context_annotations, conversation_id, created_at, display_text_range, edit_controls, edit_history_tweet_ids, entities, geo, id, in_reply_to_user_id, lang, media_metadata, non_public_metrics, note_tweet, organic_metrics, possibly_sensitive, promoted_metrics, public_metrics, referenced_tweets, reply_settings, scopes, source, suggested_source_links, suggested_source_links_with_counts, text, withheld [
"article",
"attachments",
"author_id",
"card_uri",
"community_id",
"context_annotations",
"conversation_id",
"created_at",
"display_text_range",
"edit_controls",
"edit_history_tweet_ids",
"entities",
"geo",
"id",
"in_reply_to_user_id",
"lang",
"media_metadata",
"non_public_metrics",
"note_tweet",
"organic_metrics",
"possibly_sensitive",
"promoted_metrics",
"public_metrics",
"referenced_tweets",
"reply_settings",
"scopes",
"source",
"suggested_source_links",
"suggested_source_links_with_counts",
"text",
"withheld"
]
Respuesta
La solicitud se completó correctamente.
1Show child attributes
Show child attributes
1Un objeto HTTP Problem Details, tal como se define en el IETF RFC 7807 (https://tools.ietf.org/html/rfc7807).
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
- Option 14
- Option 15
- Option 16
- Option 17
- Option 18
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes